> For the complete documentation index, see [llms.txt](https://asiabill.gitbook.io/api-explorer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://asiabill.gitbook.io/api-explorer/webhook.md).

# Webhook

- [概述](https://asiabill.gitbook.io/api-explorer/webhook/gai-shu.md): 概述
- [交易事件](https://asiabill.gitbook.io/api-explorer/webhook/jiao-yi-shi-jian.md): 交易完成后，或者交易状态变更时，会触发交易事件的通知
- [预授权事件](https://asiabill.gitbook.io/api-explorer/webhook/yu-shou-quan-shi-jian.md): 当交易发生预授权确认或者取消时，会触发预授权事件
- [退款事件](https://asiabill.gitbook.io/api-explorer/webhook/tui-kuan-shi-jian.md): 退款事件
- [拒付事件](https://asiabill.gitbook.io/api-explorer/webhook/ju-fu-shi-jian.md): 拒付事件
- [支付结果跳转](https://asiabill.gitbook.io/api-explorer/webhook/zhi-fu-jie-guo-tiao-zhuan.md): 如果交易进行3D验证、本地支付、checkout跳转模式或者用户在支付页面点击取消时，当交易完成后，将跳转客户到交易请求参数中的returnUrl地址


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://asiabill.gitbook.io/api-explorer/webhook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
